Bug 146554 - [UPDATE] sysutils/geomWatch to 1.2.1
Summary: [UPDATE] sysutils/geomWatch to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-13 23:00 UTC by Boris Kochergin
Modified: 2010-05-17 03:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.75 KB, patch)
2010-05-13 23:00 UTC, Boris Kochergin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Kochergin 2010-05-13 23:00:15 UTC
Bug fixes:

 - Fixed compilation on systems with ZFS version 6.

 - Removed a lot of unnecessary OpenSolaris header files.

Port changes:

 - Switched to the configuration file management scheme described at http://www.freebsd.org/doc/en/books/porters-handbook/book.html#PLIST-CONFIG, per sahil@'s request (please note the addition of a new file: pkg-plist).

Fix: Patch attached with submission follows:
Comment 1 Sahil Tandon freebsd_committer 2010-05-14 01:26:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-05-17 02:54:47 UTC
sahil       2010-05-17 01:54:37 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/geomWatch   Makefile distinfo 
    sysutils/geomWatch/files pkg-message.in 
  Added files:
    sysutils/geomWatch   pkg-plist 
  Log:
  - Update to 1.2.1
  - No longer BROKEN on ZFS Version 6
  - ${CP} sample to real configuration file if latter does not exist
  
  PR:             ports/146554
  Submitted by:   Boris Kochergin <spawk@acm.poly.edu> (maintainer)
  Approved by:    wxs@ (mentor)
  
  Revision  Changes    Path
  1.9       +9 -5      ports/sysutils/geomWatch/Makefile
  1.6       +3 -3      ports/sysutils/geomWatch/distinfo
  1.4       +3 -5      ports/sysutils/geomWatch/files/pkg-message.in
  1.1       +4 -0      ports/sysutils/geomWatch/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Sahil Tandon freebsd_committer 2010-05-17 02:55:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!